## ros-indigo-spur-2dnav 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(spur_2dnav)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED rostest)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES spur_2dnav
#  CATKIN_DEPENDS amcl dwa_local_planner gmapping map_server move_base tf
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(spur_2dnav
#   src/${PROJECT_NAME}/spur_2dnav.cpp
# )

## Declare a cpp executable
# add_executable(spur_2dnav_node src/spur_2dnav_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(spur_2dnav_node spur_2dnav_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(spur_2dnav_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS spur_2dnav spur_2dnav_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_spur_2dnav.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)
add_rostest(test/test-gmapping.test)

=== debian/changelog ===
ros-indigo-spur-2dnav (0.2.6-0trusty) trusty; urgency=high

  * [fix] parameter tuning for the real robot
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sun, 04 Oct 2015 07:00:00 -0000

ros-indigo-spur-2dnav (0.2.5-0trusty) trusty; urgency=high

  * [feat] Enabling localization, navigation
  * [feat] gmapping, move_base params, slowdown the veloc limitation
  * [feat] 2dnav.rviz: add footprtint
  * [feat] Configs (taking fetch_navigation as a reference)
  * Contributors: TORK 534o, Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 29 Jul 2015 07:00:00 -0000

ros-indigo-spur-2dnav (0.2.4-0trusty) trusty; urgency=high

  * add test for gmapping.launch
  * Contributors: Tokyo Opensource Robotics Programmer 534o

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sat, 11 Jul 2015 07:00:00 -0000

ros-indigo-spur-2dnav (0.2.3-0trusty) trusty; urgency=high

  * [sys] Fix CMake build rule issue40 <https://github.com/tork-a/spur/pull/40>
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Thu, 02 Jul 2015 07:00:00 -0000

ros-indigo-spur-2dnav (0.2.2-0trusty) trusty; urgency=high

  * Adjust to bringup pkg. Add 2dnav pkg up to gmapping feature.
  * Contributors: Isaac IY Saito
  * Initial commit of a package. Added up to gmapping feature.
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Tue, 30 Jun 2015 07:00:00 -0000

ros-indigo-spur-2dnav (0.2.1-0trusty) trusty; urgency=high



 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 13 May 2015 07:00:00 -0000

ros-indigo-spur-2dnav (0.2.0-0trusty) trusty; urgency=high



 -- Hiroyuki Okada <okdhryk@gmail.com>  Sat, 09 May 2015 07:00:00 -0000

ros-indigo-spur-2dnav (0.1.3-0trusty) trusty; urgency=high



 -- Hiroyuki Okada <okdhryk@gmail.com>  Fri, 08 May 2015 05:46:00 -0000

ros-indigo-spur-2dnav (0.1.2-0trusty) trusty; urgency=high



 -- Hiroyuki Okada <okdhryk@gmail.com>  Thu, 07 May 2015 23:18:00 -0000

ros-indigo-spur-2dnav (0.1.1-0trusty) trusty; urgency=high



 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 29 Apr 2015 07:00:00 -0000

ros-indigo-spur-2dnav (0.1.0-0trusty) trusty; urgency=high



 -- Hiroyuki Okada <okdhryk@gmail.com>  Mon, 30 Mar 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-spur-2dnav
Section: misc
Priority: extra
Maintainer: Hiroyuki Okada <okdhryk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rostest
Homepage: http://wiki.ros.org/spur_2dnav
Standards-Version: 3.9.2

Package: ros-indigo-spur-2dnav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-amcl, ros-indigo-dwa-local-planner, ros-indigo-gmapping, ros-indigo-map-server, ros-indigo-move-base, ros-indigo-tf, ros-indigo-turtlebot-navigation
Description: The spur_2dnav package holds common configuration options for running SPUR in 2D environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-spur-2dnav//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
